<?php
#by FeST
#ICQ : 3452223

# Пишем свои инклюды
include_once 'inc/start.php';
include_once 'inc/head.php';
#########################




include_once 'inc/fun.php';
if(!$_SESSION['php_password'] || $_SESSION['php_password']!=$set_password){
header("Location:index.php");
exit;}

if(isset($_GET['del'])){
$del=chek($_GET['del']);
if(unlink(chek($del)))echo mes_sql('Файл Удален');
else echo err_sql('Файл не удален');
}

if(isset($_GET['backup'])){
$list_tables=NULL;
$tab=mysql_list_tables($set_base);

#! Используется код DCMS 6 !#



for($i=0;$i<mysql_num_rows($tab);$i++)
{

$sql=NULL;
$table=mysql_tablename($tab,$i);

$sql.="DROP TABLE IF EXISTS `$table`;\r\n";
$res=@mysql_query("SHOW CREATE TABLE `$table`");
$row=@mysql_fetch_row($res);
$sql.=$row[1].";\r\n\r\n";
$res = @mysql_query("SELECT * FROM `$table`");
if (@mysql_num_rows($res) > 0) {
while (($row = @mysql_fetch_assoc($res))) {
$keys = @implode("`, `", @array_keys($row));
$values = @array_values($row);
foreach($values as $k=>$v) {

$values[$k] = mysql_real_escape_string($v);
$values[$k]=ereg_replace("(\n|\r){1,}", '\n', $values[$k]);

}
$values2 = @implode("', '", $values);
$values2 = "'".$values2."'";

$sql .= "INSERT INTO `$table` (`$keys`) VALUES ($values2);\r\n";
}

$sql .= "\r\n\r\n";
}
$fopen_mysql=fopen("backup_".date("d.m.y",time()).".sql",'a');

fwrite($fopen_mysql, $sql);
fclose($fopen_mysql);
}
echo mes_sql('Backup успешно создан!');
}
echo "<div class='post_1'><center><img src='i/logo.png' /><br/>
<a href='index.php'><img src='i/home.png' /></a>
<a href='sql.php'><img src='i/sql.png' /></a>
<a href='about.php'><img src='i/info.png' /></a>
<a href='exit.php'><img src='i/exit.png' /></a>
<br/>
by <a href='http://dcms.su/profile.view.php?id=8344'><b>FeST</b></a> v 2.0</center></div>
<div class='post_0'>
<a href='index.php'>Таблицы</a>|<a href='sql.php'>MySQL</a>|<b>Бекап</b></div>
&raquo; <a href='backup.php?backup'>Сделать бекап</a><br/>
<b>Список бекапов</b>:<br/>
";
foreach (glob("*.sql") as $filename) {
    echo "<hr/><b>".$filename."</b><br/>
	Pазмер: " . round(filesize($filename)/1024) . " kb/" . round(filesize($filename)/1024000,1) . " mb<br/>
	<a href='".$filename."'>Скачать файл</a>|<a href='backup.php?del=".$filename."'>Удалить файл</a>
	<hr/>";
}

echo "<br/><br/> <b>!!!! Для вашей же безопасности советую удалить СРАЗУ после скачивания бекап с сервера и вообще не держать его на сервере больше часа!</b>";
include_once 'inc/foot.php';
?>
